"use strict";

jQuery(document).ready(function ($) {
	if (WOO_PR_LICENSE.is_pr_license == "pr_license") {
		$('p.submit button.woocommerce-save-button').hide();
	}

	if (WOO_PR_LICENSE.is_pr_activated == true) {
		$('#pr_license_key').attr('readonly', true);
		$('#pr_email_address').attr('readonly', true);
	}

	$(document).on('click', '.check-license-pr', function (e) {
		e.preventDefault();
		jQuery('.error').remove();
		var license_key = jQuery('#pr_license_key').val();
		var email = jQuery('#pr_email_address').val();
		var valid = 0;

		if(license_key.length > 1 && email != '') {
			valid = 1;
		} else {
			jQuery('#mainform h2').after('<div class="error notice"><p>All fields are required</p></div>');
			return false;
		}

		if (woo_pr_isEmail(email)) {
			valid = 1;
		} else {
			jQuery('#mainform h2').after('<div class="error notice"><p>Please Enter valid email address</p></div>');
			return false;
		}

		if (valid == 1) {
			jQuery('#check-license').attr('disabled', true);
			$('.woo-pr-license-button #loader').show();
			$.ajax({
				url: WOO_PR_LICENSE.ajaxurl,
				data: {
					action: 'woo_pr_activate_license',
					license_action: WOO_PR_LICENSE.woo_pr_activated,
					license_key: license_key,
					email: email
				},
				type: 'POST',
				success: function (response) {
					$('.woo-pr-license-button #loader').hide();
					if (response.status == true) {

						window.onbeforeunload = null;

						Swal.fire(
							'Success',
							response.msg,
							'success',
						).then(() => {
							window.location.href = 'admin.php?page=wc-settings&tab=woopr-settings';
						});
					} else {
						jQuery('#check-license').attr('disabled', false);
						Swal.fire(
							'Error',
							response.msg,
							'error',
						);
					}
				}
			});
		}
	});

	// function to validate email address
	function woo_pr_isEmail(email) {
		var regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
		return regex.test(email);
	}
});